Subject: RE: Chinese TeX

From: "J.B. WANG" <[email-masked]>
Date: Fri, 13 Apr 90 18:14:00 EDT

To an question asked by Andy on Chinese PostScript fonts:

There had been discussion on printing Chinese on a PostScript printer for
a while. If you ask if Chinese produced on any machine (as long as the
encoding array can be translated into GB or big-5) could be printed on
a PostScript printer, the answer is definitely yes. Because ch-series
(which includes Chinese TeX, Chinese Scribe, WStroff and Chinese->PS) uses
nothting but PostScript as the output device (maybe lpt in Scribe as well),
and the output quality is not quite beatable for, at least, the timebeing,
I would say PostScript printing of Mac Chinese is not a problem either
(the problem is I don't use Mac, but the C code is already debugged on
UNIX, VMS and DOS).

PostScript Chinese font and Chinese on PostScript, however, seem to be
different issues. In Adobe PostScript, you can build fonts in a variety
of ways. 33 resident fonts are in type 1 Adobe PostScript description,
reasonably scalable from 2pt to 127pt. There are only at max 256 x 2x32
(sorry I meant 256 - 2x32) characters in each set. There are other Adobe
PostScript fonts which are often called downloadable fonts, and they can
be bitmap fonts (most of times) or other types of fonts, such as type 3
fonts. Well, Adobe is releasing its black book after RGB books on fonts
only. If Chinese PostScript fonts are meant Chinese fonts in analytical
font, no matter type 1 or type 3, I heard some people are working on it.

Since I am very experienced with Scribe, TeX, and DVI to PostScript
programming, I did not want to wait for analytical Chinese fonts to be
ready, and Chinese TeX used fonts built from bitmap font libraries, and
a version of dvi2ps was modified to help chtex pre-processor to understand
it, while no any change whatsoever is done to TeX (which is not true in
the case with JTeX). Now, don't frawn on bitmap fonts, bitmap <> low quality.

The problem is not really how to build fonts, and many [pe

The problem is not really how to build fonts, and many [people know how to
do it. The problem is really that a set of Chinese fonts in PostScript is
really useless unless you know the PostScript printer has 4MB VM. This
then requires that the device driver should be very intelligent, which
is exactly the case with chtex in ch-series. Take a simple example, if
I am using LaTeX to write a paper in English, but my Chinese name which
is 3 characters long (3 x 16bits in GB) should also appear. It would be
very wasteful to download definitions of 7000 Chinese characters, besides
a regular PostScript printer of 1VM is killed instantly in this situation.

In summary, any Chinese files generated on any machine should be able to
be printed on a PostScript printer provided an intelligent device driver
is there, and this driver is already available for UNIX, VMS, and DOS. It is
also possible to scale fonts in a reasonable range, bold them and italicize
them. If folks choose to wait, which I don't, Adobe is implementing
mulitiple byte encoding, and so do Sun, NeXT and X11. Of course, their
motivations were for Japanese instead of Chinese, since doubtlessly only
Japanese can affort printers with Japanese font cards.

Soory I have no information about Chinese PostScript font venders (I also
doubt how you'd store these fonts, in the hard disk or cartrige). I will
put "foreword.ps" -- a three-page description of ch-series in Chinese in
anonymous/tmp/foreword.ps in node 192.12.216.114 for ftp.

No venders are assigned for my products since they are all free in the above
mentioned node. But consultation arrangement might be feasible if it is
deadly needed.

Sincerely yours,

J.B. Wang, Ph.D. (research associate at Stevens)
(201)-420-5814